Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.ui.controls
Class QueryFilteredTree

    java.lang.Object
      FilteredTree
          org.eclipse.gmt.modisco.infra.query.ui.controls.QueryFilteredTree

    public class QueryFilteredTree

extends FilteredTree

A control that displays a tree of queries in their query sets, with a filter text field.

Constructor Summary
`QueryFilteredTree(Composite parentComposite, java.util.Collection<ModelQuerySet> availableQuerySets, java.util.List<ViewerFilter> viewerFilters, boolean multiSelection)` Create a tree with a filter text field to select queries.

Method Summary
`void` | `setFilters(java.util.List<ViewerFilter> viewerFilters)`
`void` | `setInput(java.util.Collection<ModelQuerySet> availableQuerySets)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryFilteredTree

    public QueryFilteredTree(Composite parentComposite,
                             java.util.Collection<ModelQuerySet> availableQuerySets,
                             java.util.List<ViewerFilter> viewerFilters,
                             boolean multiSelection)

  Create a tree with a filter text field to select queries.

  Parameters:
    `parentComposite` - the parent composite
    `availableQuerySets` - the query sets from which queries are selected. `null` means all.
    `viewerFilters` - filters on the displayed queries. Can be `null`.

Method Detail

### setFilters

    public void setFilters(java.util.List<ViewerFilter> viewerFilters)

### setInput

    public void setInput(java.util.Collection<ModelQuerySet> availableQuerySets)

  Parameters:
    `availableQuerySets` - the query sets to set as input. `null` means all.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD